#include <iostream>
#include <cmath>
using namespace std;
int main(){
    int x1,y1,x2,y2,a;
    cin>>x1>>y1>>x2>>y2;
    if(x1==x2 || y1==y2) a=2;
    else if(abs(y1-y2)==abs(x1-x2)) a=1;
    else a=0;
    cout<<a;
}